import UrlUtils from "../../utils/url"
import Http from "../../utils/http"
import Settings from "../../settings"
import History from '../../utils/history'

export default class {
  execute(properties, target) {
    if (Settings.reactive) {
      const currentUrl = window.location.href
      const htmlUrl = UrlUtils.htmlUrl(properties['url'])
      // Avoid inserting duplicate entries into history
      if (htmlUrl !== currentUrl) {
        Http.execute(properties, "GET", this, (response) => {
          window.vueApp.page = response
          History.pushPage(response, htmlUrl)
          History.restoreOnBackOrForward()
        })
      }
    }
    else {
      window.location = UrlUtils.htmlUrl(properties['url'])
    }
  }
}
